<?php
/**
 * @package	Website Security
 * @copyright	Copyright (C) 2018 SiteGuarding.com. All rights reserved.
 * @GNU General Public License
 */
 
defined( '_JEXEC' ) or die;

error_reporting(0);
ini_set("display_errors", "Off");


if (!defined('SGWS_SITE_ROOT')) define('SGWS_SITE_ROOT', JPATH_ROOT . DIRECTORY_SEPARATOR);

$sgws_component_dir = dirname(__FILE__).DIRECTORY_SEPARATOR;
if (!defined('SGWS_TOOLS_FILE')) define('SGWS_TOOLS_FILE', $sgws_component_dir . 'siteguarding_tools.php');

JToolBarHelper::title( JText::_( 'Website Security' ));

$document = JFactory::getDocument();

$config = new JConfig();



$app = JFactory::getApplication();

if($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_POST['action']) && ($_POST['action'] == 'start_trial')) {
	// set post fields
	$post['website'] = $_POST['website'];
	$ch = curl_init('https://www.siteguarding.com/index.php?option=com_securapp&task=ProvideWebsiteDetails_send&act=trial');
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
	curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($post));

	$response = curl_exec($ch);
	$httpcode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
	if (curl_error($ch)) {
		echo curl_error($ch);
	}

	curl_close($ch);

	if ($response !== false ) {
		file_put_contents(dirname(__FILE__) . DIRECTORY_SEPARATOR . 'sent.flag', '1');
	} 
	
}

$domain = JURI::root();
$admin_email = $config->mailfrom;

$success = sgws_check_file();
if ($success) 
{
		if (is_file(dirname(__FILE__) . DIRECTORY_SEPARATOR . 'sent.flag'))
		{
			?>
			<p style="text-align: center; font-size: 19px;">Your trial is started. within 24-48 hours SiteGuarding.com support will contact with you by email <?php echo $admin_email; ?></p>
			
			<?php
		}

		?>
		<form action="<?php echo JRoute::_( 'index.php?option=com_websecurity' ); ?>" method="post">
		
		<p style="text-align: center;">
		<img style="width: 500px;margin: 20px 0;" src="<?php echo JURI::root() . DIRECTORY_SEPARATOR . 'administrator' . DIRECTORY_SEPARATOR . 'components' . DIRECTORY_SEPARATOR .  'com_websecurity' . DIRECTORY_SEPARATOR . 'images' . DIRECTORY_SEPARATOR . 'logo_siteguarding.svg'; ?>" />
		</p>
		<p style="text-align: center; font-size: 19px;">Register your website</p>

		<p style="text-align: center"><br>
			<input class="btn btn-success" type="submit" value="Start My Trial" />
		</p>

		<input type="hidden" name="action" value="start_trial"/>
		<input type="hidden" name="website[name]" value="Trial" />	
		<input type="hidden" name="website[ftp_server]" value="None" />	
		<input type="hidden" name="website[ftp_username]" value="None" />	
		<input type="hidden" name="website[ftp_password]" value="None" />	
		<input type="hidden" name="website[url]" value="<?php echo $domain; ?>" />
		<input type="hidden" name="website[email]" value="<?php echo $admin_email; ?>" />
		</form>
		<?php

} else {
	echo '<p style="color:red"><b>The file does not exist or corrupted. Could not to overwrite it. Please reinstall plugin from <a target="_blank" href="https://www.siteguarding.com">https://www.siteguarding.com</a></b></p>';
}


function sgws_check_file() {
	
	$tools_file = SGWS_SITE_ROOT.'siteguarding_tools.php';
	if (!is_file($tools_file) || md5_file($tools_file) !== md5_file(SGWS_TOOLS_FILE)) copy(SGWS_TOOLS_FILE, $tools_file);
	return (is_file($tools_file) && md5_file($tools_file) === md5_file(SGWS_TOOLS_FILE));
	
}


?>
